%define upstream_name    Acme-Boom
%define upstream_version 3735928560

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    BOOM!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Acme/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Sometimes you just want things to go *BOOM*. This module does just that.

(Seriously, using this module should cause a segfault.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2147483647.0.0-13.mga9
+ Revision: 1808122
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2147483647.0.0-12.mga8
+ Revision: 1503378
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2147483647.0.0-11.mga7
+ Revision: 1281538
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2147483647.0.0-10.mga7
+ Revision: 1162750
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 2147483647.0.0-9.mga6
+ Revision: 1022178
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2147483647.0.0-8.mga6
+ Revision: 968533
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 2147483647.0.0-7.mga6
+ Revision: 852937
- update to 3735928560

* Sun Oct 19 2014 umeabot <umeabot> 2147483647.0.0-6.mga5
+ Revision: 788635
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2147483647.0.0-5.mga5
+ Revision: 739958
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2147483647.0.0-4.mga5
+ Revision: 683416
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2147483647.0.0-3.mga4
+ Revision: 508928
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2147483647.0.0-2.mga3
+ Revision: 362771
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 kharec <kharec> 2147483647.0.0-1.mga2
+ Revision: 174453
- imported package perl-Acme-Boom


* Wed Nov 30 2011 cpan2dist 3735928559-1mga
- initial mageia release, generated with cpan2dist
